openapi: 3.0.0
info:
  version: STORM
  title: 
  description: STORM Services
servers:
  - url: http://localhost:8092/
paths:
  /SalesPickingNotes:
    get:
      description: ''
      operationId: 'getSalesPickingNotes'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesPickingNotesCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    put:
      description: ''
      operationId: 'updateSalesPickingNotes'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalesPickingNotes_Write'
      responses:
        200:
          description: The put was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PutResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /SalesPickingNotes/{id}:
    get:
      description: ''
      operationId: 'getSalesPickingNotesById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesPickingNotes'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductData:
    get:
      description: ''
      operationId: 'getProductData'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductDataCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductData/{id}:
    get:
      description: ''
      operationId: 'getProductDataById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductData'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ReturnAuthorisation:
    get:
      description: ''
      operationId: 'getReturnAuthorisation'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnAuthorisationCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ReturnAuthorisation/{id}:
    get:
      description: ''
      operationId: 'getReturnAuthorisationById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnAuthorisation'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrder:
    get:
      description: ''
      operationId: 'getSalesOrder'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    post:
      description: ''
      operationId: 'createNewSalesOrder'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalesOrder_Write'
      responses:
        200:
          description: The post was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
    put:
      description: ''
      operationId: 'updateSalesOrder'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalesOrder_Write'
      responses:
        200:
          description: The put was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PutResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /SalesOrder/{id}:
    get:
      description: ''
      operationId: 'getSalesOrderById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrder'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ReturnAuthorisationAnalysis:
    get:
      description: ''
      operationId: 'getReturnAuthorisationAnalysis'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnAuthorisationAnalysisCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ReturnAuthorisationAnalysis/{id}:
    get:
      description: ''
      operationId: 'getReturnAuthorisationAnalysisById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnAuthorisationAnalysis'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrderLine:
    get:
      description: ''
      operationId: 'getSalesOrderLine'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderLineCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrderLine/{id}:
    get:
      description: ''
      operationId: 'getSalesOrderLineById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderLine'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /Customer:
    get:
      description: ''
      operationId: 'getCustomer'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /Customer/{id}:
    get:
      description: ''
      operationId: 'getCustomerById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesPickingNotesAll:
    get:
      description: ''
      operationId: 'getSalesPickingNotesAll'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesPickingNotesAllCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    put:
      description: ''
      operationId: 'updateSalesPickingNotesAll'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalesPickingNotesAll_Write'
      responses:
        200:
          description: The put was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PutResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /SalesPickingNotesAll/{id}:
    get:
      description: ''
      operationId: 'getSalesPickingNotesAllById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesPickingNotesAll'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    SalesPickingNotes:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
                  PrimaryStockBin:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int64
                      UpdatedOn:
                        type: string
                        format: date
                      CreatedOn:
                        type: string
                        format: date
                      Code:
                        type: string
                      Description:
                        type: string
                      Location:
                        type: object
                        properties:
                          ID:
                            type: integer
                            format: int64
                          UpdatedOn:
                            type: string
                            format: date
                          CreatedOn:
                            type: string
                            format: date
                          Code:
                            type: string
                          Description:
                            type: string
              Quantity:
                type: number
              ActiveLineDescription.Value:
                type: string
              StockBin:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Kit:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Components:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: integer
                          format: int64
                        UpdatedOn:
                          type: string
                          format: date
                        CreatedOn:
                          type: string
                          format: date
                        Product:
                          type: object
                          properties:
                            ID:
                              type: integer
                              format: int64
                            UpdatedOn:
                              type: string
                              format: date
                            CreatedOn:
                              type: string
                              format: date
                            Code:
                              type: string
                            Description:
                              type: string
                        Quantity:
                          type: number
        _ID:
          type: string
        Order:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
            DueDate:
              type: string
              format: date
            ActiveDeliveryContactName:
              type: string
            ActiveDeliveryAddress:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                AddressLine1:
                  type: string
                AddressLine2:
                  type: string
                City:
                  type: string
                PostCode:
                  type: string
                FullAddress:
                  type: string
            DeliveryAgent:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
            Customer:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Name:
                  type: string
            DeliveryInstructions:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Text:
                  type: string
            InternalInstructions:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Text:
                  type: string
            MarginAmount:
              type: number
            AlternateReference:
              type: string
            ActiveDeliveryContactPhoneNumber:
              type: string
            ActiveDeliveryContactMobilePhoneNumber:
              type: string
        TotalGrossWeight:
          type: number
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Picker:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Status:
          type: string
    SalesPickingNotes_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
              ActiveLineDescription.Value:
                type: string
              StockBin:
                type: number
              Kit:
                type: number
        _ID:
          type: string
        Order:
          type: number
        TotalGrossWeight:
          type: number
        OrderType:
          type: number
        Picker:
          type: number
        Status:
          type: string
    SalesPickingNotesCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesPickingNotes'
    ProductData:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Code:
          type: string
        Description:
          type: string
        Measurements:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Length:
              type: number
            NetWeight:
              type: number
        Selling:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            SellingUnits:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
        Statistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            OutstandingPurchaseOrders:
              type: number
            UnallocatedStockLevel:
              type: number
        Category:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        StockingStatus:
          type: string
        P_BranchInfo_BRIDGWATER:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Costings:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                AverageCost:
                  type: number
    ProductData_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Code:
          type: string
        Description:
          type: string
        Measurements:
          type: number
        Selling:
          type: number
        Statistics:
          type: number
        Category:
          type: number
        StockingStatus:
          type: string
        P_BranchInfo_BRIDGWATER:
          type: number
    ProductDataCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductData'
    ReturnAuthorisation:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Number:
          type: string
        DueDate:
          type: string
          format: date
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        TotalGrossWeight:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Quantity:
                type: number
              ActiveLineDescription:
                type: string
        ActiveDeliveryAddress:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullAddress:
              type: string
            PostCode:
              type: string
        ActiveDeliveryContactCompanyName:
          type: string
        SalesOrder:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
        AlternateReference:
          type: string
    ReturnAuthorisation_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Number:
          type: string
        DueDate:
          type: string
          format: date
        Customer:
          type: number
        TotalGrossWeight:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
              ActiveLineDescription:
                type: string
        ActiveDeliveryAddress:
          type: number
        ActiveDeliveryContactCompanyName:
          type: string
        SalesOrder:
          type: number
        AlternateReference:
          type: string
    ReturnAuthorisationCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ReturnAuthorisation'
    SalesOrder:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Number:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Branch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
            Subsidiary:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
                Code:
                  type: string
        AlternateReference:
          type: string
        TransactionExchangeRate:
          type: number
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
                  Selling:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int64
                      UpdatedOn:
                        type: string
                        format: date
                      CreatedOn:
                        type: string
                        format: date
                      SellingUnits:
                        type: object
                        properties:
                          ID:
                            type: integer
                            format: int64
                          UpdatedOn:
                            type: string
                            format: date
                          CreatedOn:
                            type: string
                            format: date
                          Description:
                            type: string
              Quantity:
                type: number
        ActiveDeliveryAddress:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AddressLine1:
              type: string
            AddressLine2:
              type: string
            City:
              type: string
            Country:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Name:
                  type: string
            County:
              type: string
            PostCode:
              type: string
        DueDate:
          type: string
          format: date
        InternalInstructions:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Text:
              type: string
    SalesOrder_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Number:
          type: string
        Customer:
          type: number
        Branch:
          type: number
        AlternateReference:
          type: string
        TransactionExchangeRate:
          type: number
        OrderType:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
        ActiveDeliveryAddress:
          type: number
        DueDate:
          type: string
          format: date
        InternalInstructions:
          type: number
    SalesOrderCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrder'
    ReturnAuthorisationAnalysis:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Number:
          type: string
        DueDate:
          type: string
          format: date
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        TotalGrossWeight:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Quantity:
                type: number
              ActiveLineDescription:
                type: string
              Reason:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
        ActiveDeliveryAddress:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullAddress:
              type: string
            PostCode:
              type: string
        ActiveDeliveryContactCompanyName:
          type: string
        SalesOrder:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
            G_ItemAuditSummaryInformation:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                CreationDate:
                  type: string
                  format: date
                CreationUser:
                  type: object
                  properties:
                    ID:
                      type: integer
                      format: int64
                    UpdatedOn:
                      type: string
                      format: date
                    CreatedOn:
                      type: string
                      format: date
                    Code:
                      type: string
                    Name:
                      type: string
            DueDate:
              type: string
              format: date
        Date:
          type: string
          format: date
    ReturnAuthorisationAnalysis_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Number:
          type: string
        DueDate:
          type: string
          format: date
        Customer:
          type: number
        TotalGrossWeight:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
              ActiveLineDescription:
                type: string
              Reason:
                type: number
        ActiveDeliveryAddress:
          type: number
        ActiveDeliveryContactCompanyName:
          type: string
        SalesOrder:
          type: number
        Date:
          type: string
          format: date
    ReturnAuthorisationAnalysisCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ReturnAuthorisationAnalysis'
    SalesOrderLine:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Product:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Quantity:
          type: number
        NetPriceLessDiscount:
          type: number
        MarginAmount:
          type: number
        _Owner_:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            G_ItemAuditSummaryInformation:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                CreationDate:
                  type: string
                  format: date
                CreationUser:
                  type: object
                  properties:
                    ID:
                      type: integer
                      format: int64
                    UpdatedOn:
                      type: string
                      format: date
                    CreatedOn:
                      type: string
                      format: date
                    Code:
                      type: string
                    Name:
                      type: string
            ActiveDeliveryAddress:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                AddressLine1:
                  type: string
                AddressLine2:
                  type: string
                City:
                  type: string
                PostCode:
                  type: string
            Customer:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Name:
                  type: string
                Code:
                  type: string
            DueDate:
              type: string
              format: date
            Number:
              type: string
            DeliveryNetAmount:
              type: number
    SalesOrderLine_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _ID:
          type: string
        Product:
          type: number
        Quantity:
          type: number
        NetPriceLessDiscount:
          type: number
        MarginAmount:
          type: number
        _Owner_:
          type: number
    SalesOrderLineCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderLine'
    Customer:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Name:
          type: string
        Code:
          type: string
        _ID:
          type: string
        Address:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
        IndustryType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        D_AccountManager:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        CreditControlSetup:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            CreditTermDefault:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
    Customer_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Name:
          type: string
        Code:
          type: string
        _ID:
          type: string
        Address:
          type: number
        IndustryType:
          type: number
        D_AccountManager:
          type: number
        CreditControlSetup:
          type: number
    CustomerCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
    SalesPickingNotesAll:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
                  PrimaryStockBin:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int64
                      UpdatedOn:
                        type: string
                        format: date
                      CreatedOn:
                        type: string
                        format: date
                      Code:
                        type: string
                      Description:
                        type: string
                      Location:
                        type: object
                        properties:
                          ID:
                            type: integer
                            format: int64
                          UpdatedOn:
                            type: string
                            format: date
                          CreatedOn:
                            type: string
                            format: date
                          Code:
                            type: string
                          Description:
                            type: string
              Quantity:
                type: number
              ActiveLineDescription.Value:
                type: string
              StockBin:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Kit:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Components:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: integer
                          format: int64
                        UpdatedOn:
                          type: string
                          format: date
                        CreatedOn:
                          type: string
                          format: date
                        Product:
                          type: object
                          properties:
                            ID:
                              type: integer
                              format: int64
                            UpdatedOn:
                              type: string
                              format: date
                            CreatedOn:
                              type: string
                              format: date
                            Code:
                              type: string
                            Description:
                              type: string
                        Quantity:
                          type: number
        _ID:
          type: string
        Order:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
            DueDate:
              type: string
              format: date
            ActiveDeliveryContactName:
              type: string
            ActiveDeliveryAddress:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                AddressLine1:
                  type: string
                AddressLine2:
                  type: string
                City:
                  type: string
                PostCode:
                  type: string
                FullAddress:
                  type: string
            DeliveryAgent:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
            Customer:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Name:
                  type: string
            DeliveryInstructions:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Text:
                  type: string
            InternalInstructions:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Text:
                  type: string
            MarginAmount:
              type: number
            AlternateReference:
              type: string
            ActiveDeliveryContactPhoneNumber:
              type: string
            ActiveDeliveryContactMobilePhoneNumber:
              type: string
        TotalGrossWeight:
          type: number
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Picker:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Status:
          type: string
    SalesPickingNotesAll_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
              ActiveLineDescription.Value:
                type: string
              StockBin:
                type: number
              Kit:
                type: number
        _ID:
          type: string
        Order:
          type: number
        TotalGrossWeight:
          type: number
        OrderType:
          type: number
        Picker:
          type: number
        Status:
          type: string
    SalesPickingNotesAllCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesPickingNotesAll'
security:
  - apiKey: []
